< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package aws_gateway_proxied_request_lambda
  Definition Classes
    hmrc
- JsonMapper
- ProxiedRequestHandler
- SqsHandler

c

uk.gov.hmrc.aws_gateway_proxied_request_lambda

# SqsHandler 

###

#### abstract class SqsHandler extends Lambda[String, Unit] with JsonMapper

Linear Supertypes
JsonMapper, Lambda[String, Unit], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SqsHandler
2. JsonMapper
3. Lambda
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SqsHandler()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  def fromJson[T](json: String)(implicit m: Manifest[T]): T
   Definition Classes
     JsonMapper
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def handle(input: String, context: Context): Either[Nothing, Unit]
    Definition Classes
      SqsHandler → Lambda
12.  final def handle(input: InputStream, output: OutputStream, context: Context): Unit
    Definition Classes
      Lambda
13.  def handleInput(input: SQSEvent): Unit
    Attributes
      protected
14.  def handleInput(input: SQSEvent, context: Context): Unit
    Attributes
      protected
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  val mapper: ObjectMapper with ScalaObjectMapper
    Definition Classes
      JsonMapper
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toJson(value: Any): String
    Definition Classes
      JsonMapper
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Deprecated Value Members

1.  def handle(i: String): Either[Throwable, Unit]
   Attributes
     protected
   Definition Classes
     Lambda
   Annotations
     @deprecated
   Deprecated

     (Since version ) This method is deprecated. Please implement the handle, which takes context as a parameter. See #4 for more details.

### Inherited from JsonMapper

### Inherited from Lambda[String, Unit]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped